• Mitspieler gesucht? Du willst dich locker mit der Community austauschen? Schau gerne auf unserem ComputerBase Discord vorbei!

BF2142 Kann keinen Northern Strike Servern beitreten, da "Spiel modifiziert" ist

Mr. Bones

Ensign
Dabei seit
Feb. 2008
Beiträge
169
Hallöle :)

Ich wollte gestern mal wieder BF 2142 daddeln und habe es in der folgenden Reihenfolge installiert, da sonst meine Northern Strike Ausrüstung nicht frei geschalten ist:

BF2142 -> Patch 1.40 -> Northern Strike -> Patch 1.40 zu 1.50

Jedoch habe ich nun das Problem, dass ich keinen Servern beitreten kann, die NS Maps laufen haben, da die Meldung kommt, dass mein Spiel modifizert ist...

Habe das Spiel jetzt schon ca. 6 oder 7 Mal neuinstalliert und auch versucht anstatt der oben genannten Patch Reihenfolge 2 Mal den 1.50 Patch zu installieren. Habe auch schon den BF Ordner manuell gelöscht und aus der Registry alles was mit BF2142 zu tun hatte gelöscht, hat aber auch nichts gebracht :freak:

Hat jemand eine Idee wie ich das beheben kann? :D

Meine Idee wäre, von einem Freund, dessen BF tadelos funktioniert, einfach den Ordner zu kopieren...könnte das klappen?

Edit: Mir fällt noch ein, dass ich mich bereits an den EA Support gewendet habe... der hat aber einfach den Support verweigert, weil ich Vista aufm PC hab... :freak:
 
Zuletzt bearbeitet:
Machs nochmal neu,sauber deinstallieren!!

Und zwar in der Reihenfolge.

BF2142 --> Patch1.25-->Nothern Strike-->Patch 1.40--->Patch 1.5 (nur das Update nicht full Patch)

Danach läuft das ganze.

Ist nen Bug welcher erst Plötzlich mit irgend nem PB Update oder so gekommen ist.
Früher ließs es sich so installieren wie du es gemacht hast nun aber nicht mehr funktioniert nicht kommt dann eben immer die Meldung welche du hast.
 
Zuletzt bearbeitet:
Das Problem hatte ich auch mal,mach es so wie Honk0815 es sagt. Dann sollte es gehen.

MFG
 
Okidoki, werds gleich mal ausprobieren... danke schön! :)
 
Zuletzt bearbeitet: (Komplettzitat entfernt.)
Mach aber auch bitte zusätzlich ein manuelles Update von deinem Punkbuster. Das wirkt auch oftmals wunder, gerade wenn man längere Zeit nicht gespielt hat.
 
Hallo, falls dieses Problem nochmals auftauchen sollte, versucht einmal Folgendes. Ich habe selbst die Grundversion von 2142 und Northern Strike als Boosterpack gekauft, sofern bei der Komplettedition dieses Problem ebenfalls auftauchen sollte, könnte der Tipp auch helfen.

Ich habe also selbst 2142 installiert und dann auf 1.50 gepatcht und dann Northern Strike installiert, natürlich kam die Meldung "....modifiziert", konnte auf keinen NS-Server joinen.

Geht einmal auf Start, tippt in Ausführen regedit ein und manövriert zu:

HKEY_LOCAL_MACHINE - SOFTWARE – Electronic Arts – EA Games – Battlefield 2142

bzw. für Vista 64:

HKEY_LOCAL_MACHINE - SOFTWARE - Wow6432Node - Electronic Arts - EA Games - Battlefield 2142

Dort angekommen klickt ihr rechts auf den Eintrag "Version" und ändert diesen von 1.50 auf 1.10. Anschliessend schließt ihr das Fenster und installiert den Patch 1.50 erneut. Nun konnte ich sofort auf alle NS-Server joinen. Dieser Tipp stammt übrigens vom EA-Support, um sich lästige Neuinstallationen zu ersparen.

Wie gesagt, bei mir klappt es bestens, falls das Problem nochmals auftauchen sollte, dann probiert es erstmal so wie ich es gemacht habe.

Beste Grüße und viel Spaß,

Schmeisser
 
Zuletzt bearbeitet:
total merkwürdig..

habe die digitale downloadversion..

wenn ich bf2142 installiere geht alles, danach update ich auf 1.25 auch super duper, danach dann northern strike. hiphiphurra immernoch supi, (kann nun auch northern strike Unlocks wählen: spitze)..

doch nun fängt mein leidensweg an.. denn ich kann ja noch immer nicht spielen bis zu diesem Punkt nur das game starten und beenden, also ab hier :

1) habe ich direkt den 1.5 installiert: kann auf servern zocken, aber kein Northern und keine northern unlocks machen, so als hätte ich gar kein northern strike

2) patch 1.40: stürzt bei mir ab.. 2mal runtergeladen.. keine ahnung wieso.. (~376MB)

3) deine Methode, nachdem ich 1.50 drauf hab, nochmal 1.50 drauf machen (mit dem registry change) begreife zwar denn sinn nicht, aber bringt auch nix..


Irgendwie vergisst er dass ich Northern strike habe..

in der registry steht auch nix bei addon...

kann auf normalen servern spielen, aber wenn ich auf NS will sagts: blabla modifiziert, und ich kann keine unlocks tätigen..

der 1.40 kratzt ab, genauso wie der patch 1.20 (den ich ja nicht mache weil ich gleich 1.25 mache)

total beschränkt :(
Ergänzung ()

habe jetzt nach 1.0 -> 1.25 -> NS -> 1.25ZU1.40

geht noch alles, ausser server joinen..

mal sehen
Ergänzung ()

kann jetzt aber keinen 1.40 ZU 1.50 installen, weil er sagt ich hätte ne andere version.. :(

in der reg steht ich hätte 1.28b ??!?!
 
hatte ähnliche probleme, meine lösung: nochmal alles runterhaun, neuinstallation und dann per ea-download-manager den patch ziehen, bei mir hats gefunzt.
hab aber auch ne andere variante(deluxe edition, DVD), wobei er mir am anfang auch komischerweise gesagt hat, dass ich kein ns hab :confused_alt:, wie gesagt, dank ea-download-futzi ging dann alles
 
Zurück
Top